<mvc:View
	controllerName="dsb.datasourcebrowser"
	xmlns:c="sap.ui.core"
	xmlns:l="sap.ui.commons.layout"
	xmlns:t="sap.ui.table"
	xmlns="sap.ui.commons"
	xmlns:mvc="sap.ui.core.mvc">
	<Dialog
		id="dialog"
		initialFocus="searchPattern"
		width="50%"
		height="60%"
		title="{/title}"
		minWidth="400px"
		minHeight="320px"
		modal="true"
		closed="dialogClosed">
		<buttons>
			<Button
				id="okButton"
				class="dsbButton"
				text="{i18n>OK}"
				enabled="false"
				press="okClicked" />
			<Button
				id="cancelButton"
				class="dsbButton"
				text="{i18n>CANCEL}"
				press="cancelClicked" />
		</buttons>
		<content>
			<TabStrip
				id="tabStrip"
				height="100%"
				width="100%"
				select="tabSelected">
				<tabs>
					<Tab
						id="searchTab"
						height="100%">
						<title>
							<c:Title
								id="searchResultsTitle"
								text="{i18n>SEARCHTAB}" />
						</title>
						<content>
							<l:BorderLayout>
								<l:top>
									<l:BorderLayoutArea
										id="searchTopArea"
										size="2rem">
										<l:content>
											<SearchField
												id="searchPattern"
												class="dsbSearchField"
												enableListSuggest="false"
												width="100%"
												search="searchClicked"
												busyIndicatorDelay="0" />
										</l:content>
									</l:BorderLayoutArea>
								</l:top>
								<l:center>
									<l:BorderLayoutArea areaId="center">
										<l:content>
											<t:Table
												id="resultTable"
												selectionMode="Single"
												selectionBehavior="RowOnly"
												visibleRowCountMode="Auto"
												noDataText=" "
												rowSelectionChange="tableRowSelected">
												<t:title>
													<Label
														id="searchResultsLabel"
														text="{i18n>RESULTS}" />
												</t:title>
												<t:columns>
													<t:Column
														width="36px"
														resizable="false"
														sortProperty="type">
														<t:template>
															<Label
																icon="{icon}"
																tooltip="{tooltip}" />
														</t:template>
													</t:Column>
													<t:Column
														sortProperty="description"
														filterProperty="description">
														<t:label>
															<Label text="{i18n>DESCRIPTION}" />
														</t:label>
														<t:template>
															<Label text="{description}" />
														</t:template>
													</t:Column>
													<t:Column
														sortProperty="name"
														filterProperty="name">
														<t:label>
															<Label text="{i18n>TECHNAME}" />
														</t:label>
														<t:template>
															<Label text="{name}" />
														</t:template>
													</t:Column>
												</t:columns>
											</t:Table>
										</l:content>
									</l:BorderLayoutArea>
								</l:center>
							</l:BorderLayout>
						</content>
					</Tab>
					<Tab
						id="rolesTab"
						height="100%"
						text="Roles">
						<content>
							<l:BorderLayout>
								<l:center>
									<l:BorderLayoutArea areaId="center">
										<l:content>
											<t:TreeTable
												id="rolesTree"
												selectionMode="Single"
												selectionBehavior="RowOnly"
												visibleRowCountMode="Auto"
												rowSelectionChange="treeNodeSelected"
												toggleOpenState="toggleExpandedState">
												<t:columns>
													<t:Column>
														<t:label>
															<Label text="{i18n>DESCRIPTION}" />
														</t:label>
														<t:template>
															<Label
																text="{description}"
																icon="{icon}" />
														</t:template>
													</t:Column>
													<t:Column>
														<t:label>
															<Label text="{i18n>TECHNAME}" />
														</t:label>
														<t:template>
															<Label text="{name}" />
														</t:template>
													</t:Column>
												</t:columns>
											</t:TreeTable>
										</l:content>
									</l:BorderLayoutArea>
								</l:center>
							</l:BorderLayout>
						</content>
						<title>
							<c:Title text="{i18n>ROLES}" />
						</title>
					</Tab>
					<Tab
						id="workspacesTab"
						height="100%"
						text="Workspaces">
						<content>
							<l:BorderLayout>
								<l:center>
									<l:BorderLayoutArea areaId="center">
										<l:content>
											<t:TreeTable
												id="workspacesTree"
												selectionMode="Single"
												selectionBehavior="RowOnly"
												visibleRowCountMode="Auto"
												rowSelectionChange="treeNodeSelected"
												toggleOpenState="toggleExpandedState">
												<t:columns>
													<t:Column>
														<t:label>
															<Label text="{i18n>DESCRIPTION}" />
														</t:label>
														<t:template>
															<Label
																text="{description}"
																icon="{icon}" />
														</t:template>
													</t:Column>
													<t:Column>
														<t:label>
															<Label text="{i18n>TECHNAME}"></Label>
														</t:label>
														<t:template>
															<Label text="{name}" />
														</t:template>
													</t:Column>
												</t:columns>
											</t:TreeTable>
										</l:content>
									</l:BorderLayoutArea>
								</l:center>
							</l:BorderLayout>
						</content>
						<title>
							<c:Title text="{i18n>WORKSPACES}" />
						</title>
					</Tab>
					<Tab
						id="foldersTab"
						height="100%"
						text="InfoAreas">
						<content>
							<l:BorderLayout>
								<l:center>
									<l:BorderLayoutArea areaId="center">
										<l:content>
											<t:TreeTable
												id="foldersTree"
												selectionMode="Single"
												selectionBehavior="RowOnly"
												visibleRowCountMode="Auto"
												rowSelectionChange="treeNodeSelected"
												toggleOpenState="toggleExpandedState">
												<t:columns>
													<t:Column>
														<t:label>
															<Label text="{i18n>DESCRIPTION}" />
														</t:label>
														<t:template>
															<Label
																text="{description}"
																icon="{icon}" />
														</t:template>
													</t:Column>
													<t:Column>
														<t:label>
															<Label text="{i18n>TECHNAME}" />
														</t:label>
														<t:template>
															<Label text="{name}" />
														</t:template>
													</t:Column>
												</t:columns>
											</t:TreeTable>
										</l:content>
									</l:BorderLayoutArea>
								</l:center>
							</l:BorderLayout>
						</content>
						<title>
							<c:Title text="{i18n>INFO_AREAS}" />
						</title>
					</Tab>
				</tabs>
			</TabStrip>
		</content>
	</Dialog>
</mvc:View>